<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['gazelle.evs.client.cda.schematrons.title']}"/>
    <ui:param name="pageNameUrl" value="administration/schematrons.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['gazelle.evs.client.cda.schematrons.title']}"/>
    <ui:define name="body">
        <h:form id="globalForm">
            #{schematronManagerBean.init()}
            <s:div id="globalDiv">


                <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">


                    <ui:param name="panel_id" value="schematronPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.evs.client.cda.schematron.panel.title']}"/>
                    </ui:define>
                    #{messages['gazelle.evs.client.cda.schematron.info']}


                    <a4j:region id="objectTypeSelectionRegion2">
                        <s:decorate id="objectTypeSelectionDecorate2" template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.evs.ObjectType']}</ui:define>
                            <h:selectOneMenu id="objectTypeSelection2"  value="#{schematronManagerBean.selectedObjectType}"
                                             required="true" styleClass="form-control gzl-form-control gzl-select-text">
                                <f:selectItems value="#{schematronManagerBean.getListOfObjectTypes()}"/>
                                <a4j:ajax event="change" render="selectSchematronDiv"
                                          listener="#{schematronManagerBean.getListOfSchematrons()}"/>
                            </h:selectOneMenu>

                        </s:decorate>
                    </a4j:region>


                    <s:div id="selectSchematronDiv">


                        <rich:dataTable id="schematronTable" value="#{schematronManagerBean.availableSchematrons}"
                                        var="currentSchematron"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        styleClass="table table-striped  table-responsive"
                                        render="ds">
                            <g:column sortBy="#{'keyword'}" sortOrder="ascending"
                                      filterBy="#{'keyword'}">
                                <ui:define name="header">#{messages['gazelle.evs.client.Keyword']}</ui:define>
                                #{currentSchematron.keyword}
                            </g:column>
                            <g:column sortBy="#{'name'}" sortOrder="ascending"
                                      filterBy="#{'name'}" filterEvent="onkeyup">
                                <ui:define name="header">#{messages['gazelle.evs.client.Name']}</ui:define>
                                #{currentSchematron.name}
                            </g:column>
                            <g:column id="versionColumn">
                                <ui:define name="header">#{messages['gazelle.evs.client.Version']}</ui:define>
                                #{currentSchematron.version}
                            </g:column>
                            <g:column id="descriptionColumn">
                                <ui:define name="header">#{messages['gazelle.evs.client.Description']}</ui:define>
                                #{currentSchematron.description}
                            </g:column>
                            <g:column id="actionColumn">
                                <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>

                                <h:commandLink id="downloadActionButton"
                                               actionListener="#{schematronManagerBean.downloadSelectedSchematron(currentSchematron)}">
                                    <span class="fa gzl-icon-download"></span>
                                </h:commandLink>

                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="schematronTable"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                    </s:div>

                    <ui:define name="panel_footer">
                        <h:commandButton id="downloadZipButton"
                                         action="#{schematronManagerBean.downloadSelectionAsZip()}"
                                         value="#{messages['gazelle.evs.client.download.zip']}"
                                         styleClass="gzl-btn-blue"
                        />

                    </ui:define>

                </ui:decorate>
            </s:div>

        </h:form>
    </ui:define>
</ui:composition>
